
proc saveSetup {} {
	global news 

	set fd [open $news(personal)/tclnews.rc w]
		puts $fd "# TclNews 1.0 (File format)"
		puts $fd "global news"
		puts $fd "set news(name) \"$news(name)\""
		puts $fd "set news(serv) \"$news(serv)\""
		puts $fd "set news(mail) \"$news(mail)\""
		puts $fd "set news(email) \"$news(email)\""
		puts $fd "set news(lst_date) \"$news(lst_date)\""
		puts $fd "set news(sort) \"$news(sort)\""
		puts $fd "set news(con_on_start) \"$news(con_on_start)\""
		puts $fd "set news(newgrps) \"$news(newgrps)\""
		puts $fd "set news(saveonexit) \"$news(saveonexit)\""
		puts $fd "set news(pop3) \"$news(pop3)\""
		puts $fd "set news(popuser) \"$news(popuser)\""
		puts $fd "set news(nntpuser) \"$news(nntpuser)\""
		puts $fd "set news(grp_date) \"$news(grp_date)\""
		puts $fd "set news(newsrc) \"$news(newsrc)\""
		puts $fd "set news(signature) \"$news(signature)\""
		puts $fd "set news(bg) \"$news(bg)\""
		puts $fd "set news(fg) \"$news(fg)\""
		puts $fd "set news(hbg) \"$news(hbg)\""
		puts $fd "set news(hfg) \"$news(hfg)\""
		close $fd
	
		set fd [open $news(signature) w]
		puts $fd $news(sig)  
		close $fd
}

proc tclnews_setup { {init 0} } {
	global news

	if { $news(personal) == "" } { set news(personal) $news(home) }
	if { $news(serv) == "" } { set news(serv) "news" }
	if { $news(mail) == "" } { set news(mail) "mail" }
	if { $news(sig) == "" } { set news(sig) "Your signature goes here" }

	set ts [clock format [clock seconds] -format %H%M%S]
	update
	set w [formwindow $ts setup Setup Name "News Server" "Mail Servere" "Email Address" "POP3 Server" "Mail (POP3) user Id" "News (NNTP) user Id" Personal]
	set news($w,1) $news(name)
	set news($w,2) $news(serv)
	set news($w,3) $news(mail)
	set news($w,4) $news(email)
	set news($w,5) $news(pop3)
	set news($w,6) $news(popuser)
	set news($w,7) $news(nntpuser)
	set news($w,8) $news(personal)
	$w.ok configure -command "set news($w,wait) 1"
	$w.cancel configure -command "set news($w,wait) 2"
	$w.main insert end $news(sig)
	set news($w,wait) 0

while { $news($w,wait) == 0 || $news(serv) == "" } {
	tkwait variable news($w,wait)
	if { $news($w,wait) == 1 } {
		set news(name)  $news($w,1) 
		set news(serv)  $news($w,2) 
		set news(mail)  $news($w,3) 
		set news(email)  $news($w,4) 
		set news(pop3) $news($w,5)
		set news(popuser) $news($w,6) 
		set news(nntpuser) $news($w,7) 
		set news(personal) $news($w,8) 
		set news(sig) [$w.main get 1.0 end]
		saveSetup
	} else {
		if { $init == 1 } {
			exit 0
		}
	}
	if { $news(serv) == "" } {
		tk_dialog .err "$news(tclnews) $news(version)" "You must at least define the news server" error 0 OK
		set news($w,wait) 0
	}
}
	closewin $ts
}

